/* qterm.h -- defines and declarations for the qterm modules.

   Author: Craig Bishop
   modified by David MacKenzie
   loosly based on original program by Michael Cooper. */

#define	ABSEND		"\05"	/* Answerback string */
#define	ALTSEND		"\033[c"/* Alternative string */
#define DFLTSEND	"\033Z"	/* Default string */
#define	CMASK		0177	/* Character mask */
#define	MAXTERMS	100	/* Maximum # of terminals for qterm */
#define	STRFILE		".qterm"/* File containing terminal strings */

/* The number of seconds for alarm timeouts.  Some slower systems
   may need to increase this value to 2 or maybe 3 seconds.  This value
   affects how long qterm will run, because for each query string sent
   the program must wait at least this long. */

#define	WAITSEC		1

#define	TRUE		1
#define	FALSE		0

#define NULLSTR		(char *) NULL
#define	NULLQT		(struct qt *) NULL
#define	STREQUAL	(0)

#define FIELDSIZ	30
#define	FULLSIZ		80

/* Structure of query table element. */
struct qt
{
  char sendstr[FIELDSIZ];	/* String to send to terminal */
  char recvstr[FIELDSIZ];	/* String expected in response */
  char termname[FIELDSIZ];	/* Terminal name */
  char fullname[FULLSIZ];	/* Full terminal name & description */
};

extern int user_table_only;
extern int user_table;
extern int quiet_mode;
extern int print_strings;

extern char querystr[];
extern char recvbuf[];
extern char *program_name;

extern struct qt *termtab[];

FILE *fopen ();
char *getenv ();
char *malloc ();

char *decode ();
char *fixctl ();
char *term_listen ();
char *xmalloc ();
char getch ();
int mktable ();
int readtabfile ();
struct qt *findmatch ();
struct qt *queryterm ();
void catchint ();
void fixterm ();
void prinfo ();
void setterm ();
void unknown ();
void wakeup ();
